/* $Id: TextToShow.java 125 2011-03-09 09:49:51Z ohura $ */
package smart_gs.text_search.swingui;

public class TextToShow {
	private String text;
	private int index;
	private int lengthOfQuery;
	
	public TextToShow(String text, int index, int lengthOfQuery) {
		this.text = text;
		this.index = index;
		this.lengthOfQuery = lengthOfQuery;
	}
	public String getText(){
		return this.text;
	}
	public int getIndex(){
		return this.index;
	}
	public int getLength(){
		return this.lengthOfQuery;
	}
}
